=== debian/changelog ===
samba (2:3.4.0-3ubuntu5.8trisquel1) awen; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Mar 2011 20:09:28 +0000

samba (2:3.4.0-3ubuntu5.8) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Feb 2011 16:21:11 -0500

samba (2:3.4.0-3ubuntu5.7) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in libcli/security/dom_sid.*, source3/lib/util_sid.c,
      source3/libads/ldap.c, source3/libsmb/cliquota.c,
      source3/smbd/nttrans.c.
    - CVE-2010-3069

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Sep 2010 10:12:10 -0400

samba (2:3.4.0-3ubuntu5.6) karmic-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source3/include/proto.h,
      source3/param/loadparm.c, source3/smbd/service.c,
      source3/smbd/trans2.c, source3/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Mar 2010 16:57:53 -0400

samba (2:3.4.0-3ubuntu5.5) karmic-proposed; urgency=low

  * debian/patches/fix-libsmb-keepalive-packets.patch: Fix winbind authentication
    due to an invalid NTML2 signature. (LP: #479955)
    (https://bugzilla.samba.org/show_bug.cgi?id=6646)
  * debian/patches/fix-samba-point-and-print.patch: Allow automatic download
    of printer drivers from a Samba PDC (LP: #500457)
    (https://bugzilla.samba.org/show_bug.cgi?id=6568)
  * debian/patches/fix-too-many-openfiles.patch: When connecting to a Windows 
    7 share users will get an error message "Too many open files are in use"
    after a certain number of files are copied. (LP: #462172 )
    (https://bugzilla.samba.org/show_bug.cgi?id=6837)
  * debian/patches/fix-win98-failed-connect.patch: Allow win98 clients to 
    connect a samba server. Users will get an "Error 66" message. (LP: #502878)
    (https://bugzilla.samba.org/show_bug.cgi?id=6551) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Feb 2010 15:03:50 -0500

samba (2:3.4.0-3ubuntu5.4) karmic-security; urgency=low

  * SECURITY UPDATE: privilege escalation via mount.cifs race
    - debian/patches/security-CVE-2009-3297.patch: validate mount point and
      perform mount in "." to prevent race in source3/client/mount.cifs.c.
    - CVE-2009-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2010 15:02:10 -0500

samba (2:3.4.0-3ubuntu5.3) karmic-proposed; urgency=low

  * debian/samba.if-up: allow "NetworkManager" as a recognized address
    family... it's obviously /not/ an address family, but it's what gets
    sent when using NM, so we'll cope for now.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Dec 2009 11:58:34 +0000

samba (2:3.4.0-3ubuntu5.2) karmic-proposed; urgency=low

  * debian/samba.if-up, debian/rules: add an if-up.d script for samba to
    try to start nmbd, if it's not running because /etc/init.d/samba ran
    before the network was up at boot time.  LP: #462169.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Nov 2009 10:34:06 +0000

samba (2:3.4.0-3ubuntu5.1) karmic-proposed; urgency=low

  * debian/patches/fix-smbclient-long-names.patch: Samba shares with more than 12 characters are not
    displayed. (LP: #449735)
  * debian/patches/fix-upstream-6680.patch: Fix Windows 7 computers joining a domain. Without
    this patch users will have to apply a registry hack to have their Windows 7 computers
    join a Windows Domain [http://wiki.samba.org/index.php/Windows7] (LP: #462626)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 Oct 2009 21:04:53 -0400

samba (2:3.4.0-3ubuntu5) karmic; urgency=low

  * SECURITY UPDATE: whole filesystem share via user with no home directory
    - debian/patches/security-CVE-2009-2813.patch: make sure home directory
      is set in source3/param/loadparm.c, source3/smbd/service.c.
    - CVE-2009-2813
  * SECURITY UPDATE: credentials file disclosure and unauthorized usage via
    setuid mount.cifs
    - debian/patches/security-CVE-2009-2948.patch: don't open credentials
      file if user doesn't have permission, and don't print password when
      using verbose option in source3/client/mount.cifs.c.
    - CVE-2009-2948
  * SECURITY UPDATE: denial of service via unexpected oplock break
    notification reply
    - debian/patches/security-CVE-2009-2906.patch: track messages already
      processed in source3/include/smb.h, source3/smbd/process.c.
    - CVE-2009-2906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2009 08:20:29 -0400

samba (2:3.4.0-3ubuntu4) karmic; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Sep 2009 22:16:40 +0200

samba (2:3.4.0-3ubuntu3) karmic; urgency=low

  * Fix FTBFS: fix libtalloc detection. (cherry picked from Debian)
    + debian/control: Add pkg-config as a dependency, needed to fix libtalloc detection

